// MainFrm.h : interface of the CMainFrame class
//


#pragma once

#include "source/programflowmanager.h"

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

	CProgramFlowManager *programFlowManager;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	
// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void LeftFormLibraryInit();
	void LeftFormLibraryOnAir();
	CImageList * pmyImageList;


	void OnBnClickedButton1();  //browse buton for sound file
	void OnBnClickedButton2();  //library add button
	void OnBnClickedButton3();  //sound play button
	void OnBnClickedButton4();  //sound stop button

								//time line buttons
	void OnBnClickedButtonPrev();     // go to previous frame
	void OnBnClickedButtonNext();		// go to next frame
	void OnBnClickedButtonLast();		// go to last frame
	void OnBnClickedButtonGo();			// go to required frame
	void OnBnClickedButtonAddnew();		// add a new frame 

	void OnBnClickedButtonApply();		//properties apply button for object properties on the scene
								//properties control buttons
	void OnBnClickedButtonReset();   //reset button for clearing properties fields


								//timeline frame number variants
	//unsigned int m_currentFrame;
	//unsigned int m_maxFrame;
	//unsigned int m_gotoFrame;

	

	afx_msg void OnNMReleasedcaptureSlider1(NMHDR *pNMHDR, LRESULT *pResult);
	void OnNMReleasedcaptureTimeLineSlider(NMHDR *pNMHDR, LRESULT *pResult); //[e:12]

	void GuiInit();
	
	CmfcGuiElements* createGUIElements();
	void CMainFrame::updateGUIForNewFrame();

	void OpenALInit();			//initialize the openAL _ sound play libraries
										//openAL source variable		
	unsigned int alSource;				//buffer source
	ALCcontext *Context;
	ALCdevice *Device;					//[e:00.00]03.16.06
	

	CString m_cstrFileName;
    CString m_cstrFilePath;

	//////////////////////////////////GUI PARAMETERS/////////////////////////////////
	


	/////////////////////////////////


protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CDialogBar m_wndLeftFormLibrary;
	CDialogBar m_wndBottomFormSound;
	CDialogBar m_wndTopFormTimeLine;
	CDialogBar m_wndRightFormProperties;


	CDialogBar m_wndDialogBar1;
	CDialogBar m_wndDialogBar3;

	
//	CFormView m_wndFormView;


	//CFormView m_formview;


// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedChecksound();
	afx_msg void OnBnClickedChecktextcont();
	afx_msg void OnBnClickedButtonframetime();
};


